> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/pipeline/alerting/delete-component-alert/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Delete component alert DELETE https://api.mezmo.com/v3/pipeline/{pipeline_id}/{component_kind}/{component_id}/alert/{alert_id} Removes an alert attached to a pipeline component Reference: https://mezmo.ferndocs.com/api-reference/pipeline/alerting/delete-component-alert ## Authentication - `Authorization` header (required) (prefixed with ` Token `) — Header authentication of the form `Token ` ## Request ### Path parameters - `pipeline_id` (string, required) - `component_kind` (enum, required) - Allowed values: `source`, `transform` - `component_id` (string, required) - `alert_id` (string, required) ### Query parameters - `component_alert_type` (enum, optional, default: node_alert) - Allowed values: `node_alert`, `surge_detection_alert` ## Response ### 200 Default Response ## Examples **Request** ```json {} ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v3/pipeline/pipeline_id/source/component_id/alert/alert_id" payload = {} headers = { "Authorization": "Token ", "Content-Type": "application/json" } response = requests.delete(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v3/pipeline/pipeline_id/source/component_id/alert/alert_id'; const options = { method: 'DELETE', headers: { Authorization: 'Token ', 'Content-Type': 'application/json' }, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v3/pipeline/pipeline_id/source/component_id/alert/alert_id" payload := strings.NewReader("{}") req, _ := http.NewRequest("DELETE", url, payload) req.Header.Add("Authorization", "Token ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v3/pipeline/pipeline_id/source/component_id/alert/alert_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = 'Token ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api.mezmo.com/v3/pipeline/pipeline_id/source/component_id/alert/alert_id") .header("Authorization", "Token ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('DELETE', 'https://api.mezmo.com/v3/pipeline/pipeline_id/source/component_id/alert/alert_id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Token ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v3/pipeline/pipeline_id/source/component_id/alert/alert_id"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", "Token "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Token ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/pipeline/pipeline_id/source/component_id/alert/alert_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```